import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'helper/sample_bindings.dart';
import 'helper/sample_routes.dart';
import 'pages/login_view.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(colorScheme: .fromSeed(seedColor: Colors.deepPurple)),
      initialBinding: SampleBindings(),
      initialRoute: LoginPage.namedRoute,
      getPages: SampleRouts.samplePages,
    );
  }
}

